From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 July 2007<P>

CryingShame58; It's been a special place for all of us. Rens and Chris and Jack have been here longer and I know there are others. 
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 20 July 2007<P>

Cryingshame58, I started submitting in 2004, although as I've mentioned before I was voraciously reading everybody's work for a couple of years before I had the audacity to submit.  I was FLOORED when I got a front page pick.   This site means the world to me.  I have literally fallen asleep at the computer and woke up with my head against the screen and started reading again instead of heading to bed.  I'm a huge fan of Misti, Ali, CS58, Darwin, B.K., and many others that I'll be kicking myself in the head all day after not mentioning them here.  They know who they are, though.  As always, I thank Kirk for all his work in providing this site.  
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 20 July 2007<P>

The July Loveblender, She is here!<BR>
<BR>
I think we're suffering a bit from summer duldrums in terms of #s of works submitted, as well as the lazy Blender keeper getting his act together. I can't believe how late this issue is, it's already the 20th?? (well, the first weekend I was in Chicago, the 2nd at a reunion, and then vacation, but I don't know what my excuse was last weekend.)<BR>
<BR>
Ah well, I'll try to do better next month. Which, you know, won't be long. :-)
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 July 2007<P>

Yipeeeee; I accept this award with great honor and promise to do my best to amuse and make ya'll smile. (Thanks Kirk!)<BR>
<BR>
You know it took me a week and writing that poem to get that tune out of my head. I was in a meeting at work and the directors cell phone went off (mid sentence of his speech) and that tune came on. I walked around humming it not knowing any of the words but One Singular Sensation and now, it's front page back. Anyone know a showtune exorcist?<BR>
<BR>
Kirk I agree with you, this god awful weather and this frickin war and administration from hades (that's as nice as I can put it)....try this guy  for some real LOVE<BR>
<BR>
<a href="http://www.youtube.com/watch?v=Ypa75axdK6o&eurl=http%3A%2F%2Fwww%2Edailykos%2Ecom%2F">http://www.youtube.com/watch?v=Ypa75axdK6o&eurl=http%3A%2F%2Fwww%2Edailykos%2Ecom%2F</a><BR>
<BR>
Hope you had a great vacation! <BR>
<BR>
bk
<HR>